'use strict';
const co = require('co');
const prompt = require('co-prompt');
const config = require('../templates');
const chalk = require('chalk');
const fs = require('fs');

module.exports = () => {
  co(function *() {
    let tplName = yield prompt('模板名: ');
    let gitUrl = yield prompt('模板git地址: ');
    let branch = yield prompt('git分支(master): ');

    if (!config.tpl[tplName]) {
      config.tpl[tplName] = {};
      config.tpl[tplName].url = gitUrl.replace(/[\u0000-\u0019]/g, '');
      config.tpl[tplName].branch = branch || 'master';
    } else {
      console.log(chalk.red(' × 模板已存在，请更改模板名!'));
      process.exit();
    }

    fs.writeFile(__dirname + '/../templates.json', JSON.stringify(config), 'utf-8', err => {
      if (err) console.log(err);

      console.log(chalk.green(' √ 新模板添加成功!'));
      console.log(chalk.yellow('你可以通过 xm list 来查看已有模板!'));
      console.log(chalk.yellow(`你可以通过 xm init ，输入 ${tplName} 来创建该模板的代码模板!`));
      process.exit();
    });
  });
};