'use strict';
const exec = require('child_process').exec;
const co = require('co');
const prompt = require('co-prompt');
const chalk = require('chalk');
const config = require('../templates');

module.exports = () => {
  co(function *() {
  	let tplName = yield prompt('模板名: ');
  	let projectName = yield prompt('项目名称: ');

    exec(`mkdir ${projectName}`, function() {
      const cfg = config.tpl[tplName];
  		if (!cfg) {
      	console.log(chalk.red('\n × 模板不存在，请确认模板名!'));
      	process.exit();
      }

      let cmdStr = `git clone -b ${cfg.branch} ${cfg.url} ${projectName}`;

  	  console.log(chalk.yellow('\n 开始生成代码...'));

  	  exec(cmdStr, (error, stdout, stderr) => {
        if (error) {
          console.log(chalk.red(error));
          process.exit();
        }

        console.log(chalk.yellow(' 开始安装依赖...'));

        exec('cnpm i', {cwd:`./${projectName}`}, function() {
          console.log(chalk.green(' √ 代码生成完毕，Coding愉快!'));
          process.exit();
        });
  	  })
    })
  });
};