'use strict';
const ui = require('cliui')({ width: 60 });
const chalk = require('chalk');
const config = require('../templates');

module.exports = () => {

	ui.div(
		{
			text: chalk.yellow('模板名'),
			width: 20,
			padding: [0, 4, 0, 4]
		},
		{
			text: chalk.yellow('git地址'),
			width: 30
		},
		{
			text: chalk.yellow('git分支'),
			align: 'right'
		}
	);

	for (let name in config.tpl) {
		ui.div(
			{
				text: name,
				width: 20,
				padding: [0, 4, 0, 4]
			},
			{
				text: config.tpl[name].url,
				width: 30
			},
			{
				text: config.tpl[name].branch,
				align: 'right'
			}
		);

	};

	console.log(ui.toString());

 	process.exit();
};